%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           SOAPpy
Version:        0.11.6
Release:        11%{?dist}
Summary:        Full-featured SOAP library for Python

Group:          Development/Languages
# The entire source is licensed under the 3 clause BSD except for the following
# files which are under the ZPLv2.0:
# SOAPpy/wstools/Utility.py
# SOAPpy/wstools/XMLSchema.py
# SOAPpy/wstools/WSDLTools.py
License:	BSD and ZPLv2.0 
URL:            http://pywebsvcs.sourceforge.net
Source0:        http://dl.sourceforge.net/pywebsvcs/SOAP.py/%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-python25.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-fpconst >= 0.6.0
Requires:       python-fpconst >= 0.6.0
Requires:       PyXML >= 0.8.3

%description
The goal of the SOAPpy team is to provide a full-featured SOAP library
for Python that is very simple to use and that fully supports dynamic
interaction between clients and servers.


%prep
%setup -q
%patch0 -p0 -b .python25

# remove shell bangs
pushd %{name}/wstools
for file in $(find . -type f -name "*.py"); do
  cp $file $file.orig
  grep -v "\#\! \/usr\/bin" $file.orig > $file
  rm -f $file.orig
done
popd

# remove executable flag from example scripts
chmod -x bid/* contrib/* docs/* tools/* validate/*

# fix file encodings
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT 

%check
# testTime is meant to pass, testArray is a known failure.
# ERROR: testTime (__main__.SOAPTestCase)
# FAIL: testArray (__main__.SOAPTestCase)
PYTHONPATH="$RPM_BUILD_ROOT%{python_sitelib}" %{__python} tests/SOAPtest.py || :


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README RELEASE_INFO TODO docs/ contrib/ validate/ bid/ tools/
%{python_sitelib}/%{name}*



%changelog

